Subject: Re: bug#27427: 26.0.50; Native line numbers lead to display error in company-mode popup

From: Eli Zaretskii <[email-masked]>
Date: Sun, 25 Jun 2017 17:54:34 +0300

> Cc: [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Sun, 25 Jun 2017 17:31:59 +0300
> 
> On 6/24/17 10:47 AM, Eli Zaretskii wrote:
> 
> > I guess you were just lucky, because in all of the other cases the
> > additional horizontal shift was somehow either accounted for or (in
> > the case of overlay-arrow) non-existent.  But the principle still
> > stands: the display engine is allowed to insert glyphs it invents out
> > of thin air at the edges of the text area, and Emacs always made use
> > of this.
> 
> Try as I might, I can't repro those kind of problems. Line wrap 
> indicators in the terminal usually come at the right.

I think I mentioned left-truncation glyphs, so horizontally scrolling
a line should cause them to appear.

> And I think it's aesthetically important that the extra glyphs don't
> shift line text to the right unless absolutely necessary, so those
> issues don't materialize.

That cannot be done in all cases.

> > But that was only one of my goals, the other was to do in
> > the infrastructure something that can be done well only there.
> 
> Meaning, to use something other than the margins for display?

No, I was speaking about the line-number display in general.

> >> Agreed that it's the right direction (although I wouldn't say no to a
> >> popup library in the core either ;-). Would it help in non-graphical
> >> mode, though? Does it support non-maximized frames?
> > 
> > AFAIU, it supports any kind of frame.
> 
> I can't see a way to create a less-than-fullscreen frame in terminal 
> Emacs (speaking of normal frames here).

Maybe I' was wrong.  I hope Martin will chime in and set the record
straight.